Перейти из форума на сайт.

НовостиФайловые архивы
ПоискАктивные темыТоп лист
ПравилаКто в on-line?
Вход Забыли пароль? Первый раз на этом сайте? Регистрация
Компьютерный форум Ru.Board » Компьютеры » Программы » 360 Extreme Explorer | другие браузеры компании Qihoo

Модерирует : gyra, Maz

 Версия для печати • ПодписатьсяДобавить в закладки
Страницы: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182

Открыть новую тему     Написать ответ в эту тему

Maz



Дед Мазай
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Часть 1  |  Часть 2
 
Вниманию новичков!!!  
Версии обоих браузеров с офсайта устанавливать не рекомендуется, ибо они предназначены для китайцев, если не хотите напихать в систему китайского дерьма, не устанавливайте!
Используйте готовые очищенные от китайского дерьма сборки или собирайте сами по рецепту ниже.
 
Внимание! Полностью английской версии нет и никогда не было! Китайцы перевели на английский только то, что захотели. На русский переведено все, что выведено из кода.



 
Официальный сайт (английский)
не обновляется/(китайский) | магазин расширений (китайский) | темы для 9+ линеек (на китайском языке)  
Официальный сайт версии для Mac (английский)не обновляется/(китайский)
 
360 Extreme Explorer
 (Встречается название - 360Chrome (по имени исполнимого файла), у китайцев он же называется 360 Speed Browser)
 
Китайская версия, интерфейс переведен на английский не полностью, в настройках языка изначально только Английский и Китайский, синхронизация с 360 Account как зарегистрировать аккаунт в картинках
 
оффорум (на китайском языке) | тема финальной версии 11.0 | тема финальной версии 12.0 | тема финальной версии 13.0 | тема версии 13.5 с минималистичной темой
Раздел Mac версии
 
Основные возможности:
Основные недостатки
 
Постоянная ссылка на последнюю официальную финальную версию линейка 13

Последняя версия 13.0 линейки 13.0.2250.0 на Chromium 86.0.4240.198 финал  
работает на XP/Vista, поддерживает NPAPI, отключает DirectWrite и имеет chrome://plugins.
Последняя версия экспериментальной 13.5 линейки 13.5.1050.0 на Chromium 86.0.4240.198 экспериментальная, разница лишь в умолчальной теме  
работает на XP/Vista, поддерживает NPAPI, отключает DirectWrite и имеет chrome://plugins.
Последняя версия 12.0 линейки 12.0.1592.0 на Chromium 78.0.3904.108 предыдущий финал  
работает на XP/Vista, поддерживает NPAPI, отключает DirectWrite и имеет chrome://plugins.
Последняя версия 11.0 линейки 11.0.2251.0 на Chromium 69.0.3497.100 предыдущий финал  
работает на XP/Vista, поддерживает NPAPI, отключает DirectWrite и имеет chrome://plugins.
 
Если нужен какой-то конкретный билд, меняем номер версии и билда в ссылке, на офсайте есть все билды, исключая отозванные.  Пример ссылки: _https://down.360safe.com/cse/360cse_13.0.2250.0.exe
 
Начиная с версии 9.0.1.152 периодически закрываются критические уязвимости, обнаруженные после выхода движка браузера.
портабельные сборки и русификаторы от Cento8  последним версиям требуется доработка
русифицированные репаки (инсталлятор+портабл) от elchupacabra
портабельные сборки от (ерж искать только в его сообщениях, в шапке бред топикстартера
Для тех, кто любит свои настройки и расширения - если у чужих сборок удалить папку User Data\, получим девственно чистую рабочую русифицированную портабельную версию.
 
Решение проблем с отжором памяти под XP комплектами MS VC Runtime 2015-2017-2019 только для XP, для Vista+ неактуально
 
!!! Отключение надоедливо всплывающего окна логина !!!
 
Решение проблемы с кривыми шрифтами на кривых сайтах для 11-й линейки (69 движок)]
Включение подсказок в текстовых полях ввода
Возврат английского интерфейса в Инструментах разработчика (F12) только для версий 13.0.2210.0 и выше
 
 
Последние изменения версии 13.5 на английском, перевод Google
Последние изменения версии 13.0 на английском, перевод Google
Последние изменения версии 12.0 на английском, перевод Google
Последние изменения версии 11.0 на английском, перевод Google
 
Русификаторы:
перевод основных непереведенных диалогов
Инструкция по самостоятельной русификации
 
Универсальный патч для изменения китайского магазина расширений на магазин Google, замены китайского поисковика на google, отключения самой откровенной телеметрии, частичного отключения проверки целостности компонентов и отключения проверки шрифтов по умолчанию для версий 11.0.1000.0 и выше от El Sanchez
(для параноиков - в архивах есть исходник в формате dUP 2, можете сами взять dUP 2, скомпилировать, и убедиться, что ваши параноидальные антивирусы по-прежнему верещат, а посему умеряйте их параноидальность)
 
Переделанные под EE 9 версии тем IE8 и SE7 от 360 SE (со строкой меню и вкладками под панелью адреса), а также несколько стандартных штатных тем EE 9 (со строкой меню) для версий 9.0.1.138+
 
русификатор для 360 Extreme Explorer версии 13.0.2250.0
русификатор для 360 Extreme Explorer версии 13.5.1050.0 экспериментальная, разница лишь умолчальной в теме
русификатор для 360 Extreme Explorer версии 12.0.1592.0
русификатор для 360 Extreme Explorer версии 11.0.2251.0
русификаторы для 360 Extreme Explorer линейки 11.0 от El Sanchez
 
русификация предыдущих версий линейки 13.0
русификация предыдущих версий линейки 12.0
русификация предыдущих версий линейки 11.0
 
Образец reg-файла для прописывания лоадера как браузера по умолчанию для запуска с ключами комстроки из других приложений пути, естественно, свои
Утилита от Firefox для прописывания лоадера в список "Программы по умолчанию" для запуска с ключами комстроки из других приложений под именем Mozilla Firefox®, Portable Edition | зеркало. Благодарности Dschinghis Khan. Для Vista и выше.
 
Для использующих портабельные версии, самостоятельно собранные из распакованного дистрибутива - не забывайте удалять папку installer во избежание автообновления браузера и самоустановки его в систему.
 
Экспериментальный обновлятор от Cento8. Внимание!!! После обновления браузер станет англо-китайским, русификатор нужно накатывать самостоятельно.
 
Модификации ресурсов браузера 360 Extreme Explorer (360Chrome/360CSE)  от TheBarmaley.
 
Создание русифицированной портабельной версии с нуля
Абсолютный минимум необходмых для работы файлов: + нужен файл eacl.dat для корректной работы сторонних speeddial'ов
 
Как обновить Flash плагин в портабельной версии. Рецепт применим только для патченной версии.
 
старые версии, и все, к ним относящееся
 



360 Security Browser
(Встречается название - 360 Safe Browser, у китайцев он же называется 360 Safe Explorer)

 


Общий раздел

Расширения для Google Chrome | Google Chrome Extension
 
про ошибку Недопустимый пакет. Подробные сведения: "Default locale is defined but default data couldn't be loaded.
 
инструмент для скачивания с гугломагазина расширений в виде crx
 
!!! Список IP, куда ломится браузер (практически одинаковы и для 360 Extreme, и для 360 Security) !!! (благодарности Petrovic82, asmadeus08, tma16) | дополнения и изменения
Рекомендуется на всякий случай заблокировать их в фаерволе.
 
Для параноиков - если не нравится встроенная страница новой вкладки (спиддиал), удалите newtab.zip/newpages.zip. Также можно блокировать  в фаерволе умолчальную домашнюю страницу - hao.360.cn - ее IP 111.206.66.62.
 
проверка орфографии
Вниманию любителям режима "Последние открытые страницы"!
 
По невыясненным причинам в зависимости от сочетания настроек и/или флагов, режим постепенно перестает корректно работать, хотя с чистым профилем работает нормально. Точная причина этого так и НЕ ВЫЯСНЕНА до сих пор. Кто найдет - отписывайтесь в теме.
возможное решение проблемы и/или отключение аналогичного ключа chrome://flags/#enable-fast-unloadновой страницы
 
Флаги для полноценной работы с отключенным DirectWrite (Win7+) без пропадания шрифтов Благодарности ChromiumIQ.  
Для XP помогает ключ командной строки --no-sandbox, напрямую не связанный с DirectWrite, ибо DirectWrite на XP не работает.
 
Способ закрыть браузер так, чтобы при следующем запуске открылись все окна браузера, которые были раньше Подробнее...

Всего записей: 37318 | Зарегистр. 26-02-2002 | Отправлено: 22:57 16-09-2020 | Исправлено: WatsonRus, 22:29 29-07-2021
sokol



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору

Цитата:
версия сабжа какая?

13.0.2220.0

Всего записей: 607 | Зарегистр. 06-10-2003 | Отправлено: 14:51 09-06-2021
Naytaco

Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
TheBarmaley
Мне просто интересно/непонятно, почему некоторые в систему сразу тащат комбайны а-ля-всё-сразу Microsoft Visual C++ 2003...2020. Каждой программе нужно (если нужно) что-то конкретное. Которое или в ней уже заложено, она или сама подтянет, или попросит. А тут везде сборки упоминаются. С этой позиции.
 
P.S. Хотя... Наверно некоторые подобные паки ставят про-запас. Чтоб було.
 
Р.Р.S. И мне это видимо на 7 абсолютно по-боку. Подобные апи есть в системе (и нужны для ее работы, не переименовываются, не удаляются), независимо от наличия браузера, установленных MV C++ и прочего.

Всего записей: 1048 | Зарегистр. 10-07-2020 | Отправлено: 14:52 09-06-2021 | Исправлено: Naytaco, 15:05 09-06-2021
Viktor_Kisel



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
TheBarmaley

Цитата:
3. для любителей хардкора - есть вариант с ручной правкой файлов* для выгрызания ссылок на  файлы api-ms-win-*.dll

Дело в том что после правки chrome_elf.dll, срабатывает самозащита и приходится закрывать сабж. Работает только с оригинальной chrome_elf.dll

Всего записей: 2072 | Зарегистр. 01-02-2005 | Отправлено: 14:53 09-06-2021
TheBarmaley



Platinum Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
DasMonster
Цитата:
Нельзя её в Windows XP устанавливать, я на предыдущей странице уже написал, что Мякоть после 14.28.29213.0 сломала совместимость с ней.
это я прочитал, но как быть с проверкой из поста выше и лично мною опробованным вариантом установки не в ВМ, а на живую?
полдня уже всё работает и не валится, как можно определить/проверить глюкавость 30037?

Цитата:
Текущие рекомендации не учитывают такую древность, как Windows XP.
вот именно поэтому нам, хр-шникам, их вполне можно проигнорировать..  
 
// про лису - чисто в порядке офтопа..  
 


sokol
Цитата:
13.0.2220.0
тогда не подскажу, эту не ставил, пока ограничился 13.2206..
 


Naytaco
Цитата:
Мне просто интересно/непонятно, почему некоторые в систему сразу тащат комбайны а-ля-всё-сразу Microsoft Visual C++ 2003...2020. Каждой программе нужно (если нужно) что-то конкретное. Которое или в ней уже заложено, она или сама подтянет, или попросит. А тут везде сборки упоминаются. С этой позиции.
ну, положим, "позиция" в данном случае не учитывает, что речь идёт не о левых самосборках, а об официальном дистре..  

Цитата:
Хотя... Наверно некоторые подобные паки ставят про-запас. Чтоб було
в свете обсуждаемой проблемы и с учётом потребности в 2015 - я лично НЕ вижу другого варианта.. ну, уже понятно, наверное, почему..
 


Viktor_Kisel
Цитата:
Дело в том что после правки chrome_elf.dll, срабатывает самозащита и приходится закрывать сабж. Работает только с оригинальной chrome_elf.dll  
так, вроде, шапочный патчик убирает эту проверку? или я ошибаюсь?

----------
..the one of.. ··· ..sam-&-pol..

Всего записей: 12674 | Зарегистр. 07-06-2006 | Отправлено: 15:06 09-06-2021 | Исправлено: TheBarmaley, 15:15 09-06-2021
Viktor_Kisel



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
TheBarmaley

Цитата:
так, вроде, шапочный патчик убирает эту проверку? или я ошибаюсь?
 

Какую-то проверку убирает. Но не эту.

Всего записей: 2072 | Зарегистр. 01-02-2005 | Отправлено: 15:11 09-06-2021
TheBarmaley



Platinum Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Viktor_Kisel
Цитата:
Какую-то проверку убирает. Но не эту
ну я хз, сам хардкор не проверял ещё..


----------
..the one of.. ··· ..sam-&-pol..

Всего записей: 12674 | Зарегистр. 07-06-2006 | Отправлено: 15:16 09-06-2021
Viktor_Kisel



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
TheBarmaley
Можно без хардкора, подправить один байтик в chrome_elf.dll и проверить.

Всего записей: 2072 | Зарегистр. 01-02-2005 | Отправлено: 15:17 09-06-2021
DasMonster



Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору

Цитата:
это я прочитал, но как быть с проверкой из поста выше и лично мною опробованным вариантом установки не в ВМ, а на живую?
полдня уже всё работает и не валится, как можно определить/проверить глюкавость 30037?  

TheBarmaley,
так msvcp140.dll из system32 никто не использует, вот и нет никаких проблем, а 360-е никакие устанавливаемые Visual C++ 2005\2008\2010\2012\2013\2015\2017\2019 нафиг не нужны, они используют msvcp60.dll, поставляемую с самой XP. Можно хоть что устанавливать, им "плевать", кроме дурацких api-ms-win-***.dll ничего более не подхватывается.
 
Поэтому можно легко ставить 14.29.30037.0, запускать 360 и не увидеть никаких сбоев. Даже FF52esr будет работать, ведь он тащит из своей папки msvcp140.dll.
 

Цитата:
вот именно поэтому нам, хр-шникам, их вполне можно проигнорировать..  

Думаю, тут вполне ясно, что я имел ввиду возможность скачивания (и установки) с сайта Мякоти, именно ей начхать на XP.
 

Цитата:
а вот как раз этого и не надо было делать!    
я тоже тут потыкался, попробовал разные версии поподсовывать лисе - а вот хрен!
ни одна подмена основных длл-ек (*140 и т.д.) у меня НЕ проканала, такая же ошибка..
только с родными (исходными) и работает, раз ему пофиг что в системе стоит..  

Я не использую Sandboxie как виртуальную машину - я в "песочницу" ставлю пакет, и оттуда беру к приложениям или в system32 нужные .dll.
 
FF52esr работает с msvcp140.dll из последующих совместимых с XP версий - я прямо сейчас запустил его с добавлением в его папку 14.25.28508.3, установленной в ОС, и с 14.28.29213.0, последней рабочей для XP.

Всего записей: 393 | Зарегистр. 18-11-2005 | Отправлено: 15:28 09-06-2021 | Исправлено: DasMonster, 15:34 09-06-2021
TheBarmaley



Platinum Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Viktor_Kisel
Цитата:
Можно без хардкора, подправить один байтик в chrome_elf.dll и проверить
..с другой стороны - в новых хромых (вроде как, не уверен) начали отползать от этого "эльфа", убирая его из комплектов поставки..
т.е. надо либо чуток подождать либо шапочный патчик допилить.. но это уже не ко мне..)
 


DasMonster
Цитата:
так msvcp140.dll из system32 никто не использует, вот и нет никаких проблем, а 360-е никакие устанавливаемые Visual C++ 2005\2008\2010\2012\2013\2015\2017\2019 нафиг не нужны, они используют msvcp60.dll, поставляемую с самой XP. Можно хоть что устанавливать, им "плевать", кроме дурацких api-ms-win-***.dll ничего более не подхватывается.  
 
Поэтому можно легко ставить 14.29.30037.0, запускать 360 и не увидеть никаких сбоев. Даже FF52esr будет работать, ведь он тащит из своей папки msvcp140.dll.
ну и в чём тогда крамола предложения установить 30037?
ведь при этом штатно (!) отсутствуют эти самые мс-апи*, а что касается *140.длл - ну так раз "никто не использует" - не пофиг ли?  

Цитата:
Думаю, тут вполне ясно, что я имел ввиду возможность скачивания (и установки) с сайта Мякоти, именно ей начхать на XP
не, ну можно, каэш, и самосборные пакеты ставить, никто не запрещает.. только тогда обязательно встанет вопрос о "я не хочу ставить неизвестно что" и эти люди правы по-своему - ведь когда есть официальный пак, смысл в сборках (в 90% случаев) отсутствует..

Цитата:
Я не использую Sandboxie как виртуальную машину - я в "песочницу" ставлю пакет, и оттуда беру к приложениям или в system32 нужные .dll.
это я понял, их можно и просто в сети найти.. чуть дольше, да, но тут уж кому как удобнее..

Цитата:
FF52esr работает с msvcp140.dll из последующих совместимых с XP версий - я прямо сейчас запустил его с 14.25.28508.3, установленной в ОС, и с 14.28.29213.0, последней рабочей для XP.
спецом проверил, качнул отсюда, вынул этот файлик из архива и заменил - да, с этой версией завелось без указанной ошибки..
ладно, спасибо за акцент, значит, сорян, ошибку признаю, где-то я протупил с подменами, подкладывал не ДО этой, а более новые..
 
.но в свете решаемой проблемы продолжу "стоять на своём" - ставить лучше 30037, в целом будет меньше танцев с бубнами..    
..а учитывая гемор с подсосом апи-мс ещё и плагинами (флэш/дрм и прочая) - тем более есть смысл ставить именно крайний..)

----------
..the one of.. ··· ..sam-&-pol..

Всего записей: 12674 | Зарегистр. 07-06-2006 | Отправлено: 16:14 09-06-2021
El Sanchez



Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору

Цитата:
кстати глянул мельком на их версии - Microsoft Windows 6.2.9200.16492  -  так в инете в скобках к ним пишут шо это для вин8  (win8_gdr_oobssr.130113-0015) а первая там, на рендер, вообще для десятки  Microsoft Windows    10.0.14393.2990

FiLinX, это неважно для какой они версии ОС, код они не содержат.

Цитата:
Для Windows XP без разницы, одиночный 2015 установить или текущий объеденённый набор 2015-2019 - эти api-ms-win-***.dll с 2015 появились, потребление увеличиться в любом случае.

DasMonster, разница в том, что в наборе версии файлов выше и больше багов закрыто . На XP/2003 ставьте  Microsoft Visual C++ 2015-2019 Redistributable v14.28.29213 x86|x64, сразу после установки, не запуская ничего, вручную удалите файлы api-ms-* в system32/SysWOW64 и далее забудьте об обновлениях рантаймов навсегда.
 
 
 

Всего записей: 324 | Зарегистр. 23-12-2008 | Отправлено: 16:17 09-06-2021
DasMonster



Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору

Цитата:
ну и в чём тогда крамола предложения установить 30037?  


Цитата:
.но в свете решаемой проблемы продолжу "стоять на своём" - ставить лучше 30037, в целом будет меньше танцев с бубнами..    
..а учитывая гемор с подсосом апи-мс ещё и плагинами (флэш/дрм и прочая) - тем более есть смысл ставить именно крайний..)

TheBarmaley,
потому что это бессмысленно. Если будет приложение, которое не несёт с собой msvcp140.dll и будет брать его из system32, работать 14.29.30037.0 в XP не будет. Проще тогда не ставить никаких 2015-2019. Я же привёл сообщение ошибки:
 
"Точка входа в процедуру CreateThreadpoolWork не найдена в библиотеке DLL KERNEL32.dll."
 
Всё, это конец, в XP нет этой процедуры в KERNEL32.dll, это уже Vista+ (может даже и Vista7+).
 

Цитата:
не, ну можно, каэш, и самосборные пакеты ставить, никто не запрещает..  

Не имеет значения, что ставить, перепаковку или установщик от Мякоти - важна только версия, последующие за 14.28.29213.0 не будут работать в XP.
 

Цитата:
разница в том, что в наборе версии файлов выше и больше багов закрыто .  
El Sanchez,  
я это понимаю, вот как раз Naytaco тут задаётся вопросом "зачем нужны более новые".
 
Я писал ему об отсутствии разницы в свете обсуждаемой проблемы с повышением потребления памяти у 360 при наличии этих двух .dll, то есть неважно, что ставить, первичную 2015 или весь набор 2015-2019, в любом случае будет эта проблема..
 

Всего записей: 393 | Зарегистр. 18-11-2005 | Отправлено: 16:39 09-06-2021 | Исправлено: DasMonster, 16:47 09-06-2021
Viktor_Kisel



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
El Sanchez

Цитата:
сразу после установки, не запуская ничего, вручную удалите файлы api-ms-* в system32/SysWOW64 и далее забудьте об обновлениях рантаймов навсегда.  

Достаточно только эти два
api-ms-win-core-string-l1-1-0.dll
api-ms-win-core-synch-l1-2-0.dll
Или все api-ms-*

Всего записей: 2072 | Зарегистр. 01-02-2005 | Отправлено: 17:12 09-06-2021
WatsonRus



Platinum Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
DasMonster
Цитата:
Я писал ему об отсутствии разницы в свете обсуждаемой проблемы с повышением потребления памяти у 360 при наличии этих двух .dll

Вот только у Naytaco 7-ка. А проблема явно только у XP...


----------
HP Z1 G2 27" 2K/Xeon E3 1245 v3/HP 192F С226/32Gb DDR3/Quadro K2100M 2Gb/WDC WD10JPLX 1Tb/Samsung 860 Evo 250Gb/CDDVDW SN-208/400W
Ребята, как же вы все меня заманали... © мой бывший директор

Всего записей: 30927 | Зарегистр. 03-05-2004 | Отправлено: 17:44 09-06-2021
DasMonster



Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
WatsonRus, я знаю, ещё раньше я ему писал, что вероятно, это лишь для XP - "Но, как я понял из разговоров, эту разницу на Windows XP можно заметить. Для последующих Vista+, возможно, и не работает."

Всего записей: 393 | Зарегистр. 18-11-2005 | Отправлено: 17:48 09-06-2021
RandyOrton



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Вот что я прочитал: http://forum.ru-board.com/topic.cgi?forum=62&topic=30840&start=1760#13
 
И просто для сведения:
https://ru.stackoverflow.com/questions/979584/%D0%9F%D0%BE%D0%B4%D0%B4%D0%B5%D1%80%D0%B6%D0%BA%D0%B0-windows-xp-%D0%B2-visual-studio-2019
https://www.cyberforum.ru/visual-cpp/thread1805332.html

----------
Гомосексуальность не является психическим расстройством.

Всего записей: 2897 | Зарегистр. 21-05-2010 | Отправлено: 17:51 09-06-2021 | Исправлено: RandyOrton, 17:52 09-06-2021
Naytaco

Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
WatsonRus
Совершенно верно. Эти апи сидят в системе. Независимо от наличия Visual C++. Дже если удалить все пакеты, вышеназванные апи останутся. И наличие самих пакетов Visual C++ от 15 и выше никакого влияния на жор памяти (в браузере) не оказывает.

Всего записей: 1048 | Зарегистр. 10-07-2020 | Отправлено: 17:53 09-06-2021 | Исправлено: Naytaco, 17:54 09-06-2021
TheBarmaley



Platinum Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
DasMonster
Цитата:
Проще тогда не ставить никаких 2015-2019.
тоже верно, поэтому пунктом первым и идёт этот "самый лучшиий вариант"..)
что до "проще" - кому как, мне - проще длл-ку положить проге, чем думать ти гадать с какого перепуга оно не заводится..
я по фф говорю - ему же за каким-то хреном эти мс-апи-* требуются при запуске и без них он не хочет запускаться..
я не думаю, что лиса в этом плане "уникальна", уже говорил - у минихрома в первых билдах этот же мусор и содержал, только чуть свежее..

Цитата:
Не имеет значения, что ставить, перепаковку или установщик от Мякоти - важна только версия, последующие за 14.28.29213.0 не будут работать в XP.
тогда, с этой т.з. идеальное решение такое - ставить 30037 + заменить/перерегистрировать системную *140 на рабочую версию..
но это всё уже нюансы, главное в "нашем случае" - убрать из системы упоминание и привязку к заглушкам, а 30037 это сам и делает..
причём, без какого-то шаманства со стороны юзера с зачисткой реестра и системной папки..

----------
..the one of.. ··· ..sam-&-pol..

Всего записей: 12674 | Зарегистр. 07-06-2006 | Отправлено: 18:19 09-06-2021
DasMonster



Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору

Цитата:
И просто для сведения:
https://ru.stackoverflow.com/questions/979584/%D0%9F%D0%BE%D0%B4%D0%B4%D0%B5%D1%80%D0%B6%D0%BA%D0%B0-windows-xp-%D0%B2-visual-studio-2019
https://www.cyberforum.ru/visual-cpp/thread1805332.html

RandyOrton
в чём тут "сведения"? В первом случае, в самом 2019 убрали поддержку XP, но к нему можно подключить этот компонент из 2017, даже снимок приложен.
Второй случай вообще не в тему - человек не смог с первого раза собрать под XP в 2015, а потом всё сделал, и к чему это было?
 

Цитата:
что до "проще" - кому как, мне - проще длл-ку положить проге, чем думать ти гадать с какого перепуга оно не заводится..  
 

Цитата:
но это всё уже нюансы, главное в "нашем случае" - убрать из системы упоминание и привязку к заглушкам, а 30037 это сам и делает..
причём, без какого-то шаманства со стороны юзера с зачисткой реестра и системной папки..

TheBarmaley
это же не имеет никакого смысла - зачем ставить 14.29.30037.0 в XP, если с ней не смогут запуститься приложения? Только для того, чтобы отсутствовали api-ms-win-***.dll в system32? Ну дак проще не ставить. Зачем тащить "мертвые" .dll, лишь от того, что в этой версии с ними не устанавливает api-ms-win-***.dll.  
 
Это выше моего понимания, это просто дичь какая-то.
 

Цитата:
я по фф говорю - ему же за каким-то хреном эти мс-апи-* требуются при запуске и без них он не хочет запускаться..  

Потому что он собран так, ему нужна вся 2015. А "Пельмень"\Palemoon 28 собран с 2017. А  FF38 с Visual Studio® 2013, у него из него только msvcp120.dll и msvcr120.dll.

Всего записей: 393 | Зарегистр. 18-11-2005 | Отправлено: 18:25 09-06-2021 | Исправлено: DasMonster, 18:37 09-06-2021
TheBarmaley



Platinum Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
DasMonster
Цитата:
в чём тут "сведения"?
это неизбежный "фоновый шум".. равно как и вопросы от 7-шников по обсуждаемой задачке отжора памяти..))
 
по сути "работает/не работает" - что в итоге предлагается?
ставить крайнюю работающую под хр? и дальше что, просто косить все апи-мс* и надеяться, что что-то когда-то не глюканёт?
так это уже было во второй части "сессии", но народу это тоже не понравилось..)

----------
..the one of.. ··· ..sam-&-pol..

Всего записей: 12674 | Зарегистр. 07-06-2006 | Отправлено: 18:44 09-06-2021 | Исправлено: TheBarmaley, 18:45 09-06-2021
virjokk

Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
А тем временем продолжают выходить странные версии 360ЕЕ с минималистской темой, появилась 13.5.1020.  
Судьба основной ветки неясна...

Всего записей: 117 | Зарегистр. 19-05-2006 | Отправлено: 19:06 09-06-2021
Открыть новую тему     Написать ответ в эту тему

Страницы: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182

Компьютерный форум Ru.Board » Компьютеры » Программы » 360 Extreme Explorer | другие браузеры компании Qihoo


Реклама на форуме Ru.Board.

Powered by Ikonboard "v2.1.7b" © 2000 Ikonboard.com
Modified by Ru.Board
© Ru.Board 2000-2020

BitCoin: 1NGG1chHtUvrtEqjeerQCKDMUi6S6CG4iC

Рейтинг.ru